(function($) {

	// mobile-nav-wrapper
	$('.wpbf-menu-toggle.mobile-default').click(function() {
		if($(this).hasClass("active")) {
			$('.wpbf-mobile-menu-container').removeClass('active').slideUp();
			$(this).removeClass("active");

			$('.wpbf-mobile-menu .sub-menu').slideUp();
			$('.wpbf-submenu-toggle').removeClass('active');
			$('.wpbf-submenu-toggle i').removeClass('fa-angle-up').addClass('fa-angle-down');

		} else {
			$('.wpbf-mobile-menu-container').addClass('active').slideDown();
			$(this).addClass("active");
			$(window).trigger('resize');
		}
	});

	// get desktop breakpoint value from body class
	var DesktopBreakpointClass = $('body').attr("class").match(/wpbf-desktop-breakpoint-[\w-]*\b/);
	if( DesktopBreakpointClass !== null ) {
		var string = DesktopBreakpointClass.toString();
		var DesktopBreakpoint = string.match(/\d+/);
	} else {
		DesktopBreakpoint = '1024';
	}

    // Hide open Mobile Menu on resize
	$(window).resize(function(){

		// vars
		var windowHeight = $(window).height();
		var windowWidth = $(window).width();
		var mobileNavWrapperHeight = $('.wpbf-mobile-nav-wrapper').outerHeight();

		$('.wpbf-mobile-menu-container.active nav').css({'max-height' : windowHeight - mobileNavWrapperHeight });

		// resize fallback
		if(windowWidth > DesktopBreakpoint) {
			if($('.wpbf-menu-toggle.mobile-default').hasClass('active')) {
				$('.wpbf-menu-toggle.mobile-default').removeClass('active');
				$('.wpbf-mobile-menu-container').css({'display':'none'});

				$('.wpbf-mobile-menu .sub-menu').css({'display':'none'});
				$('.wpbf-submenu-toggle').removeClass('active');
				$('.wpbf-submenu-toggle i').removeClass('fa-angle-up').addClass('fa-angle-down');

			}
			if($('.wpbf-mobile-mega-menu').length) {
				$('.wpbf-mobile-mega-menu').removeClass('wpbf-mobile-mega-menu').addClass('wpbf-mega-menu');
			}
		} else {
			if($('.wpbf-mega-menu').length) {
				$('.wpbf-mega-menu').removeClass('wpbf-mega-menu').addClass('wpbf-mobile-mega-menu');
			}
		}

	});

	// add toggle arrow
	$('.wpbf-mobile-menu .menu-item-has-children').each(function() {
		$(this).append('<span class="wpbf-submenu-toggle"><i class="fas fa-angle-down"></i></span>');
	});

	// Mobile Submenu
	$('.wpbf-submenu-toggle').click(function(event) {

		event.preventDefault();

		if($(this).hasClass("active")) {
			$('i', this).removeClass('fa-angle-up').addClass('fa-angle-down');
			$(this).removeClass('active');
			$(this).siblings('.sub-menu').slideUp();
		} else {
			$('i', this).removeClass('fa-angle-down').addClass('fa-angle-up');
			$(this).addClass('active');
			$(this).siblings('.sub-menu').slideDown();
		}

	});


})( jQuery );