<?php
/**
 * Sidebar
 *
 * @package Page Builder Framework
 */
 
// exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

$sidebar = apply_filters( 'wpbf_do_sidebar', 'wpbf-sidebar' );

?>

	<div class="wpbf-medium-1-3 wpbf-sidebar-wrapper">

		<?php do_action( 'wpbf_before_sidebar' ); ?>

		<aside class="wpbf-sidebar" itemscope="itemscope" itemtype="http://schema.org/WPSideBar">

		<?php do_action( 'wpbf_sidebar_open' ); ?>

		<?php if ( is_active_sidebar( $sidebar ) ) { ?>

			<?php dynamic_sidebar( $sidebar ); ?>

		<?php } else { ?>

			<?php if( current_user_can( 'edit_theme_options' ) ) { ?>

				<?php _e( 'Your sidebar widgets will appear here', 'page-builder-framework' ); ?><br>
				<a href='<?php echo esc_url( admin_url( 'widgets.php' ) ); ?>'><?php _e( 'Add Widgets', 'page-builder-framework' ); ?></a>

			<?php } ?>

		<?php } ?>

		<?php do_action( 'wpbf_sidebar_close' ); ?>

		</aside>
		
		<?php do_action( 'wpbf_after_sidebar' ); ?>

	</div>